#!/usr/bin/env tclsh
# Portuguese translations for DesireData
# $Id: brasiliano.tcl,v 1.1.2.1 2007/10/05 23:15:45 matju Exp $
# Author: Carlos Paulino <chgp@riseup.net> revision 0.4

### Menus

say file "Arquivo"
  say new_file "Novo"
  say open_file "Abrir..."
  say server_prefs "Config. servidor..."
  say client_prefs "Config. cliente..."
  say send_message "Enviar mensagem..."
  say paths "Caminhos..."
  say close "Fechar Janela"
  say save "Salvar"
  say save_as "Salvar como..."
  say print "Imprimir..."
  say abort_server "Terminar o servidor"
  say quit "Sair"
  
  say canvasnew_file "Novo Arquivo"
  say canvasopen_file "Abrir Arquivo..."
  say canvassave "Salvar"
  say canvassave_as "Salvar como..."
  say clientpdrc_editor "Editor .pdrc"
  say clientddrc_editor "Editor .ddrc"
  say canvasclose "Fechar"
  say canvasquit "Sair"

say edit "Edição"
  say undo "Desfazer"
  say redo "Refazer"
  say cut "Cortar"
  say copy "Copiar"
  say paste "Colar"
  say duplicate "Duplicar"
  say select_all "Selecionar tudo"
  say clear_selection "Limpar seleção"
  say text_editor "Editor de Texto..."
  say font "Fonte"
  say tidy_up "Tidy Up"
  say edit_mode "Modo de edição"
  say editmodeswitch "Modo de edição/execução"
  say subpatcherize "Subpatcherizar :)"

  say canvascut "Cortar"
  say canvascopy "Copiar"
  say canvasundo "Colar"
  say canvasredo "Refazer"
  say canvaspaste "Colar"
  say canvasduplicate "Duplicar"
  say canvasselect_all "Selecionar tudo"
  say canvaseditmodeswitch "Modo de edição/execução"

say view "Visualizar"
  say reload "Recarregar"
  say redraw "Redesenhar"

  say canvasreload "Recarregar"
  say canvasredraw "Redesenhar"
say visual_diff "visual diff??"
say get_elapsed "get elapsed??"

say find "Procurar"
  say find_again "Procura novamente"
  say find_last_error "Encontrar o último erro"
  say string "Procurar por sequência de caracteres"
say canvasfind "Buscar"
  say canvasfind_again "Busca novamente"

# contents of Put menu is Phase 5C
say put "Inserir"
  say Object "Objeto"
  say Message "Mensagem"
  say Number "Número"
  say Symbol "Símbolo"
  say Comment "Comentário"
  say Graph "Gráfico"
  say Array "Tabela"

say media "Mídia"
  say audio_on "Ligar Áudio"
  say audio_off "Desligar Áudio"
  say test_audio_and_midi "Testar áudio e MIDI"
  say load_meter "Carregar Meter"

  say canvasaudio_on "Áudio Ligado"
  say canvasaudio_off "Áudio Desligado"
  say clienttest_audio_and_midi "Testar áudio e MIDI"
  say canvasload_meter "Carregar Meter"

say window "Janelas"

say help "Ajuda"
  say about "Sobre..."
  say documentation "Documentação..."
  say class_browser "Navegador..."
  
  say canvasabout "Sobre..."

say properties "Propriedades"
say open "Abrir"

### for key binding editor
say general "Geral"
say audio_settings "Configurações de Áudio"
say midi_settings "Configurações Midi"
say latency_meter "Medidor de latência"
say Pdwindow "Janela do Pd"

say canvaspdwindow "Janela do Pd"
say canvaslatency_meter "Medidor de latência"
say clientaudio_settings "Configurações de áudio"
say clientmidi_settings "Configurações Midi"

### for Properties Dialog (phase 5B)
say_category IEM
say w "largura(px)"
say h "altura(px)"
say hold "tempo de espera(ms)"
say break "tempo de quebra(ms)"
say min "valor mínimo"
say max "valor máximo"
say is_log "mode? (is_log)"
say linear "linear"
say logarithmic "logarítimico"
say isa "início"
say n "número de alternativas"
say steady "steadiness?"
say steady_no  "pula no clique"
say steady_yes "steady? no clique"
say snd "envia-símbolo"
say rcv "recebe-símbolo"
say lab "etiqueta"
say ldx "offset etiqueta x"
say ldy "offset etiqueta y"
say fstyle "Fonte tipo"
say fs "tamanho da fonte"
say bcol "cor de fundo"
say fcol "cor da frente"
say lcol "cor da etiqueta"
say yes "sim"
say no "não"
say courier "courier (typewriter)"
say helvetica "helvetica (sansserif)"
say times "times (serif)"
say coords "gráfico no pai"

say_category GAtomProperties
say width "largura"
say lo "limite inferior"
say hi "limite superior"
say label "etiqueta"
say wherelabel "exibe etiqueta"
say symto "envia símbolo"
say symfrom "recebe símbolo"

say_category GraphProperties
say x1   "de x"
say x2   "para x"
say xpix "largura da tela"
say y2   "de y"
say y1   "para y"
say ypix "altura da tela"

say_category CanvasProperties
#say xscale "X units/px"
#say yscale "Y units/px"
say gop "gráfico no pai"
say xmargin "margem x"
say ymargin "margem y"
say height "altura"
say_category ArrayProperties
say name "nome"
say n    "tamanho"
say xfrom "escala x de?"
say xto "escala x até"
say yfrom "escala y de"
say yto "escala y até"


say_category MainWindow
say in "entrada"
say out "saída"
say audio "Áudio"
say meters "Medidores"
say io_errors "Erros E/S"
say tcl_console "Cliente Tcl"
say pd_console "Servidor Pd"

### phase 2

say_category Other
say_namespace summary {
  say_category IEMGUI
  say bng    "Bang"
  say tgl    "Interruptor (Toggle)"
  say nbx    "Caixa numérica (IEM)"
  say hsl    "Slider (Horizontal)"
  say vsl    "Slider (Vertical)"
  say hradio "Caixa de seleção (horizontal)"
  say vradio "Caixa de seleção (Vertical)"
  say cnv    "Canvas (IEM)"
  say dropper "Caixa arrasta-e-solta"
  say vu     "Medidor VU"

  say_category GLUE
  say bang "envia uma mensagem bang"
  say float "armazena e acessa um número"
  say symbol "armazena e acessa um símbolo"
  say int "armazena e acessa um inteiro"
  say send "armazena uma mensagem para um objeto rotulado"
  say receive "rebe mensagens enviadas"
  say select "testar por números ou símbolos coincidentes"
  say route "refaz a rota das mensagens de acordo com o primeiro elemento"
  say pack "\"empacotador\" de mensagens"
  say unpack "\"desempacota\" mensagens compostas"
  say trigger "sequencia e converte mensagens"
  say spigot "interruptor de fluxo de mensagens"
  say moses "part a numeric stream"
  say until "mecanismo de loop"
  say print "exibe mensagens"
  say makefilename "formata um símbolo com um campo variável??"
  say change "remover números repetidos de uma sequência"
  say swap "troca dois números"
  say value "compartilha valor numérico"

  say_category TIME
  say delay "envia uma mensagem após um intervalo de tempo"
  say metro "Metrônomo - envia mensagens periodicamente"
  say line "envia mensagem com números lineares"
  say timer "mede intervalos de tempo"
  say cputime "mede tempo de processamento"
  say realtime "mede tempo real"
  say pipe "linha de intervalo de tempo númerico que cresce dinamicamente"

  say_category MATH
  say + "adiciona"
  say - "subtrai"
  say * "multiplica"
  say {/ div} "divisão"
  say {% mod} "resto da divisão"
  say pow "potência"
  say == "igua a?"
  say != "diferente de?"
  say > "maior que?"
  say < "menor que?"
  say >= "menor ou igual a?"
  say <= "maior ou igual a?"
  say &  "conjunção bitwise  (e)"
  say |  "disjunção bitwise (ou)"
  say && "conjunção lógica (e)"
  say || "disjunção lógica (ou)"
  say mtof "MIDI para Hertz"
  say ftom "Hertz para MIDI"
  say powtodb "Watts para dB"
  say dbtopow "dB para Watts"
  say rmstodb "Volts para dB"
  say dbtorms "dB para Volts"
  say {sin cos tan atan atan2 sqrt} "trigonometria"
  say log "Logarítimo Euler"
  say exp "Exponenciação Euler"
  say abs "valor absoluto"
  say random "randômico"
  say max "máximo de dois números"
  say min "mínimo de dois números"
  say clip "forçar um número numa faixa"

  say_category MIDI
  say {notein ctlin pgmin bendin touchin polytouchin midiin sysexin} "entrada MIDI"
  say {noteout ctlout pgmout bendout touchout polytouchout midiout}  "saída MIDI"
  say makenote "agenda uma mensagem  \"note off\" correspondente a uma note-on"
  say stripnote "separa mensagens \"note off\" "

  say_category TABLES 
  say tabread "le um número de uma tabela"
  say tabread4 "lê um número de uma tabela com 4 pontos de interpolação"
  say tabwrite "escreve um número numa tabela"
  say soundfiler "lê e escreve tabelas em arquivos de som"

  say_category MISC
  say loadbang "bang quando carregar patch"
  say serial "controle de dispositivo para MS NT"
  say netsend "envia mensagens através da internet"
  say netreceive "recebe as mensagens através da internet"
  say qlist "sequenciador de mensagens"
  say textfile "conversor de arquivo para mensagens"
  say openpanel "Diálogo \"Abrir\""
  say savepanel "Diálogo \"Salvar como\" "
  say bag "conjunto de números"
  say poly "alocação de voz polifônica"
  say {key keyup} "valor numéricos de teclas de teclado alfanumérico"
  say keyname "nome simbólico da chave?"

  say_category "Matemática com Áudio"
  foreach word {+ - * /} {say $word~ "[say $word] (for signals)"}
  say max~ "supremacia dos sinais"
  say min~  "infinidade dos sinais"
  say clip~ "constrict signal to lie between two bounds"
  say q8_rsqrt~ "raiz quadrada reciproca barata (cuidado -- 8 bits!)"
  say q8_sqrt~ "raiz quadrada barata (cuidado -- 8 bits!)"
  say wrap~ "wraparound (tipo de parte fracionária)"
  say fft~ "transformação discreta Fourier complex forward"
  say ifft~ "transformação discreta Fourier complex inverse"
  say rfft~ "transformação  discreta Fourier real forward "
  say rifft~ "transformação discreta Fourier real inverse  "
  say framp~ "dá saída numa rampa para cada bloco"
  foreach word {mtof ftom rmstodb dbtorms rmstopow powtorms} {
    say $word~ "[say $word] (para sinais)"
  }
}

### phase 3

say_namespace summary {
  say_category "Cola de Áudio"
  say dac~ "saída de áudio"
  say adc~ "entrada de áudio"
  say sig~ "converte números para sinais de áudio"
  say line~ "gera rampas de áudio"
  say vline~ "line~ de luxo"
  say threshold~  "detecta sinal thresholds"
  say snapshot~ "sample a signal (convert it back to a number)"
  say vsnapshot~ "deluxe snapshot~"
  say bang~ "send a bang message after each DSP block"
  say samplerate~ "get the sample rate"
  say send~ "nonlocal signal connection with fanout"
  say receive~ "obtêm sinal do  send~"
  say throw~ "adiciona a um summing bus"
  say catch~ "definir e ler um  summing bus??"
  say block~ "especificar tamanho do bloco e overlap"
  say switch~ "liga e desliga computação DSP"
  say readsf~ "le de arquivos de som no disco"
  say writesf~ "grava arquivos de som no disco"

  say_category "Osciladores de áudio e tabelas"
  say phasor~ "oscilador dente de serra (sawtooth)"
  say {cos~ osc~} "oscilador coseno"
  say tabwrite~ "escrever em tabela"
  say tabplay~ "tocar de uma tabela (sem transpor)"
  say tabread~ "leitura de tabela não interpolada"
  say tabread4~ "leitura de tabela com 4 ponto de interpolação"
  say tabosc4~ "oscilador com tabela de ondas (wavetable)"
  say tabsend~ "escreve um bloco continuamente em uma tabela"
  say tabreceive~ "le um bloco continuamente de uma tabela"

  say_category "Filtros de áudio"
  say vcf~ "filtro controlador de voltagem"
  say noise~ "gerador de ruido branco"
  say env~ "envelope follower"
  say hip~ "filtro passo alto"
  say lop~ "filtro passo baixo"
  say bp~ "filtro passo banda"
  say biquad~ "filtro raw"
  say samphold~ "unidade sample and hold"
  say print~ "exibe um ou mais \"blocose \"blocks\""
  say rpole~ "raw real-valued one-pole filter"
  say rzero~ "raw real-valued one-zero filter"
  say rzero_rev~ "[say rzero~] (tempo-revertido)"
  say cpole~ "[say rpole~] (valor complexo)"
  say czero~ "[say rzero~] (valor complexo)"
  say czero_rev~ "[say rzero_rev~] (valor complexo)"

  say_category "AUDIO DELAY"
  say delwrite~ "escreve para uma linha de atraso(delay)"
  say delread~ "ler de uma linha de atraso(delay)"
  say vd~ "ler de uma linha de atraso num read from a delay line at a variable delay time"

  say_category "Subjanelas"
  say pd "define uma subjanela"
  say table "array de números em uma subjanela"
  say inlet "add an inlet to a pd"
  say outlet "add an outlet to a pd"
  say  inlet~  "[say inlet] (for signal)"
  say outlet~ "[say outlet] (for signal)"

  say_category "Modelos de DADOS (templates)"
  say struct "define uma estrutura de dados"
  say {drawcurve filledcurve} "desenha uma curva"
  say {drawpolygon filledpolygon} "desenha um polígono"
  say plot "plotar um campo  array"
  say drawnumber "imprime um valor numérico"

  say_category "Acessando DADOS"
  say pointer "aponta para um objeto pertencente a um modelo"
  say get "obtêm campos numéricos"
  say set "altera campos numéricos"
  say element "obtêm um elemento array"
  say getsize "obtêm o tamanho do array"
  say setsize "altera o tamanho de um array"
  say append "adiciona um elemento a uma lista"
  say sublist "obtêm um ponteiro em uma lista que é um elemento para uma outra escalar??"
  say scalar "desenha uma escalar no pai"
  
  say_category "OBSOLETE"
  say scope~ "(usar  tabwrite~ agora)"
  say namecanvas "" ;# what was this anyway?
  say template "(usar struct agora)"
}

# phase 4 (pdrc & ddrc)

say section_audio "Áudio"
  say -r "Frequência da amostra"
  say -audioindev "dispositivos de entrada"
  say -audiooutdev "dispositivos de saída"
  say -inchannels "número de canais de entrada (por dispositivo, tipo \"2\" ou \"16,8\")"
  say -outchannels "número de canais de saída (o mesmo)"
  say -audiobuf "especificar tamanho do buffer de áudio em mseg."
  say -blocksize "espcificar tamanho do bloco de E/S em quadros de amostras"
  say -sleepgrain "especificar número para dormir quando inativa em milisegundos"
  say -nodac "não processa áudio"
  say -noadc "não processa(supress?) áudio"
  say audio_api_choice "API de áudio"
    say default "padrão"
    say -alsa "usar API ALSA de áudio"
    say -jack "usar API JACK de áudio"
    say -mmio "usar API MMIO de áudio (padrão para windows)"
    say -portaudio "usar driver de áudio ASIO (via Portaudio)"
    say -oss "usar API OSS de áudio"
  say -32bit "permitir acesso 32 bits a áudio OSS (para RME Hammerfall)"
  say {} "padrão"

say section_midi "MIDI"
  say -nomidiin "não processa entrada MIDI"
  say -nomidiout "não processa saída MIDI"
  say -midiindev  "dispositivos de entrada MIDI; ex, \"1,3\" para primeiro e terceiro"
say -midioutdev "dispositivos de saída MIDI; lista de dispositivos de saída midi, mesmo formato"

say section_externals "Externos"
  say -path     "caminho de procura por arquivos"
  say -helppath "caminho de procura por arquivos de ajuda"
  say -lib      "carrega bibliotecas de objetos"

say section_gui "Interface"
  say -nogui "desabilita o início da interface gráfica (cuidado)"
  say -guicmd "substitui outro programa de interface (ex., rsh)"
  say -look "ícones da barra de butões"
  say -font "especificar o padrão do tamanho da fonte em pontos"

say section_other "Outros"
  say -open "abrir arquivo(s) no início"
  say -verbose "exibir mais detalhes no início e quando pesquisar por arquivos"
  say -d "grau de depuração"
  say -noloadbang "desabilita o efeito de  \[loadbang\]"
  say -send "envia uma mensagem no início (depois dos patches carregados)"
  say -listdev "listar dispositivos de áudio e MIDI carga do logicial"
  say -realtime "usar prioridade de tempo-real (necessita conta com privilégio especial ou root)"

say section_paths "Caminhos"

# phase 4B: ddrc (keyword names not finalized!)
say console "linhas de rolamento da console (1 = desabilita console)"
say lang "Linguagem"
say pointer_sense "Sensibilidade do ponteiro do mouse"
say section_color "Aparencia"
 say canvas_color "canvas"
  say canvasbgedit "fundo do canvas (modo edição)"
  say canvasbgrun "canvas background (modo execução)"
 say object_color "objeto"
  say viewframe1 "cor da caixa de objeto"
  say viewframe2 "cor da caixa de objeto"
  say viewframe3 "cor da caixa de objeto"
  say viewframe4 "cor de destaque da caixa de objeto"
  say viewbg "fundo do objeto"
  say viewfg "frente do objeto"
  say commentbg "fundo do comentário"
  say commentfg "frente do comentário"
  say commentframe1 "quadro de comentário"
  say commentframe2 "quadro de comentário"
  say commentframe3 "quadro de comentário"
  say viewselectframe "hilight box"
 say wire_color "fio"
  say wirefg "cor do fio"
  say wirefg2 "destaque do fio"
  say wiredspfg "cor do fio de áudio"
  say futurewiredash "novo fio (esmagado?)"
 say others_color "outras"
  say boxinletfg "cor das entradas"
  say boxoutletfg "cor das saídas"
  say selrectrect "caixa de seleção"
say keys "chaves"
say others "outras"
say hairstate "Ativa crosshair"
say hairsnap "Crosshair gruda no objeto"
say statusbar "Ativa barra de estado"
say buttonbar "Ativa barra de butões"
say menubar "Ativa barra de menus"
say scrollbar "Ativa barra de rolagem automática"
say wirearrow "Cabo com seta"
say tooltip "Dica"
say insert_object "Inserir objeto"
say chain_object "Objeto corrente (Chain)"
say clear_wires "Limpar cabos"
say auto_wire "Remove objeto"
say subpatcherize "Subpatcherizar :)"
say keynav "navegação do teclado"
say key_nav_up "move para cima"
say key_nav_up_shift "selecione mais"
say key_nav_down "mover para baixo"
say key_nav_down_shift "selecione mais"
say key_nav_right "move right"
say key_nav_right_shift "selecione mais"
say key_nav_left "mover para esquerda"
say key_nav_left_shift "selecione mais"
say key_nav_ioselect "seleciona entradas/saídas"
# phase 5A

say cannot "não consigo"
say cancel "Cancelar"
say apply  "Aplicar"
say ok     "OK"
say popup_open "Abrir"
say popup_insert "Inserir"
say popup_properties "Propriedades"
say popup_clear_wires "Limpar conexões"
say popup_remove_from_path "Remove objeto do caminho"
say popup_delete_from_path "Apaga objeto do caminho"
say popup_copy_id "copia identificação"
say popup_help "Ajuda"
say filter "Filtro: "
say how_many_object_classes "%d de %d classes de objeto"
say do_what_i_mean "Realize o que eu imagino!"
say ask_cool "Este recurso quando estiver implementado vai ficar muito, foda."
say save_changes? "Salvar as bobagens que você fez?"
say reset "Reiniciar"
say Courier "Courier (monospaced)"
say Helvetica "Helvetica (sansserif)"
say Times "Times (serif)"
say add "Adiciona"
say up "Acima"
say down "Abaixo"
say remove "Remove"
say lib_add    "adiciona o nome que você digitou na lista"
say lib_up     "altera ordem com biblioteca anterior"
say lib_down   "altera ordem com próxima biblioteca"
say lib_remove "remove biblioteca selecionada na lista"
say dir_add    "adiciona um campo usando um diálogo de arquivo"
say dir_up     "troca ordem com campo anterior"
say dir_down   "troca ordem com próximo campo"
say dir_remove "remove pasta selecionada na lista"
say client_class_tree "Árvore de Classes pro freguês"
say clipboard_view "Visão Clipboard"
say command_history_view "Visão do histórico de comandos"
say event_history_view "Ver histórico de eventos"

# during/after piksel:

say auto_apply "Auto-Aplicar"
say font_preview "Prévia:"
say font_preview_2 "ABCDEFGHIJKLMNOPQRSTUVWXYZ\nabcdefghijklmnopqrstuvwxyz\n0123456789"
say font_style "Estilo:"
say font_bold "Negrito"
say font_italic "Itálico"
say font_family "Nome:"
say font_size "Tamanho:"
say damn "Maldito!"
say console_clear "Limpar Console"
say horizontal "Horizontal"
say vertical "Vertical"
say language "Língua"

# 2007:

say no_matches "o padrão especificado não foi encontrado"
say preset "modelo??"
say canvasgrid "Cor da Grade"
say grid_size "Tamanho da grade"
say gridstate "Ativar grade de fundo"
say snap_grid "Grudar na grade"
say viewfont "fonte do objeto"
say consolefont "fonte do console"
say keyboarddialogfont "fonte do teclado virtual"
say keyboard_view "Teclado Virtual"
say log_height "Tamanho do Histórico"

